#!/bin/sh

. /lib/ebee_funcs

IFPLUGD_ARGS="-i eth0 -m ethtool -l -f -I -u0 -d1 -r /etc/ifplugd/ifplugd.action"


case "$1" in
    start)
		pid=$(ps | awk '/ifplugd.*-i eth0/ && ! /grep/ {print $1}')
		if [ -z "$pid" ]
		then
			logger -s "Starting ifplugd for eth0"
			/usr/sbin/ifplugd $IFPLUGD_ARGS
		fi
        ;;

    stop)
		pid=$(ps | awk '/ifplugd.*-i eth0/ && ! /grep/ {print $1}')
		if [ -n "$pid" ]
		then
			logger -s "Stopping ifplugd for eth0"
			kill $pid 2>/dev/null
		fi
        ;;

    restart|reload)
        "$0" stop
        "$0" start
        ;;

esac

exit 0


