#!/bin/sh

# Could someone please add a comment what this is all meant to be good for?
# Especially the stuff with a block device is an enigma wrapped in a mystery...


# Bail out unless this is running on a Mennekes board

if ! grep -qi mennekes /home/charge/persistency/ChargePointVendor_ocpp; then
	exit
fi

stop=0
trap "stop=1" HUP

while true; do
	sleep 10

	# If 'stop' is non-zero we got a SIGHUP signal, probably from
	# mdev.action.charge

	if [ $stop -gt 0 ] ; then
		logger "recover_eth0.sh: stop was triggered from mdev"
		exit
	fi

    # Test if eth0 exists, on that case we can exit

	if ifconfig eth0; then
		logger "recover_eth0.sh: ethernet device exists"
		exit
	fi

	# Also bail out if eth0 disappeared but instead a block device appeared

	if [ -d /proc/scsi/usb-storage ] ; then
		logger "recover_eth0.sh: block device detected - stopping"
		exit
	fi

	# Try to get eth0 back by toggling the GPIO named 'GPIO_USB_HOST_POWER_ON'

	logger "recover_eth0.sh: power-cycling USB-host"
	/usr/sbin/export_gpio 55
	echo 0 > /sys/class/gpio/pioB23/value
	usleep 100000
	echo 1 > /sys/class/gpio/pioB23/value
done
